org.icefaces.ace.component.textentry

## Class TextEntryBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.html.HtmlInputText
          - - org.icefaces.ace.component.textentry.TextEntryBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, ITextEntry
  Direct Known Subclasses:
    TextEntry

      public abstract class TextEntryBase
      extends javax.faces.component.html.HtmlInputText
      implements ITextEntry, IceClientBehaviorHolder

  TextEntry is a text input component that can display some placeholder text inside the input field when the component doesn't have a value and is not focussed. It also has custom styling for invalid state and required status.

  For more information, see the TextEntry Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `TextEntryBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextEntryBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getIndicatorPosition()` Return the value of the `indicatorPosition` property.
    `java.lang.String` | `getLabelPosition()` Return the value of the `labelPosition` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `java.lang.String` | `getOptionalIndicator()` Return the value of the `optionalIndicator` property.
    `java.lang.String` | `getRequiredIndicator()` Return the value of the `requiredIndicator` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `boolean` | `isAutoTab()` Return the value of the `autoTab` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isRedisplay()` Return the value of the `redisplay` property.
    `boolean` | `isSecret()` Return the value of the `secret` property.
    `void` | `setAutoTab(boolean autoTab)` Set the value of the `autoTab` property.
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)` Set the value of the `indicatorPosition` property.
    `void` | `setLabelPosition(java.lang.String labelPosition)` Set the value of the `labelPosition` property.
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)` Set the value of the `optionalIndicator` property.
    `void` | `setRedisplay(boolean redisplay)` Set the value of the `redisplay` property.
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)` Set the value of the `requiredIndicator` property.
    `void` | `setSecret(boolean secret)` Set the value of the `secret` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.

    - ### Methods inherited from class javax.faces.component.html.HtmlInputText

      `getAccesskey, getAlt, getAutocomplete, getDir, getLabel, getLang, getMaxlength, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getSize, getStyle, getStyleClass, getTabindex, getTitle, isDisabled, isReadonly, setAccesskey, setAlt, setAutocomplete, setDir, setDisabled, setLabel, setLang, setMaxlength, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setSize, setStyle, setStyleClass, setTabindex, setTitle`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TextEntryBase

          public TextEntryBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### setAutoTab

          public void setAutoTab(boolean autoTab)

      Set the value of the `autoTab` property.

      Contents: When true the component will automatically tab to the next component once the maxLength number of characters have been entered.

      Specified by:
        `setAutoTab` in interface `ITextEntry`

    - #### isAutoTab

          public boolean isAutoTab()

      Return the value of the `autoTab` property.

      Contents: When true the component will automatically tab to the next component once the maxLength number of characters have been entered.

      Specified by:
        `isAutoTab` in interface `ITextEntry`

    - #### setIndicatorPosition

          public void setIndicatorPosition(java.lang.String indicatorPosition)

      Set the value of the `indicatorPosition` property.

      Contents: Position of input-required or input-optional indicator relative to input field or label. Supported values are "left/right/top/bottom/labelLeft/labelRight/none". Default is "labelRight" if labelPosition is "inField", "right" otherwise.

      Specified by:
        `setIndicatorPosition` in interface `ITextEntry`

    - #### getIndicatorPosition

          public java.lang.String getIndicatorPosition()

      Return the value of the `indicatorPosition` property.

      Contents: Position of input-required or input-optional indicator relative to input field or label. Supported values are "left/right/top/bottom/labelLeft/labelRight/none". Default is "labelRight" if labelPosition is "inField", "right" otherwise.

      Specified by:
        `getIndicatorPosition` in interface `ITextEntry`

    - #### setLabelPosition

          public void setLabelPosition(java.lang.String labelPosition)

      Set the value of the `labelPosition` property.

      Contents: Position of label relative to input field. Supported values are "left/right/top/bottom/inField/none". Default is "none".

      Specified by:
        `setLabelPosition` in interface `ITextEntry`

    - #### getLabelPosition

          public java.lang.String getLabelPosition()

      Return the value of the `labelPosition` property.

      Contents: Position of label relative to input field. Supported values are "left/right/top/bottom/inField/none". Default is "none".

      Specified by:
        `getLabelPosition` in interface `ITextEntry`

    - #### setOptionalIndicator

          public void setOptionalIndicator(java.lang.String optionalIndicator)

      Set the value of the `optionalIndicator` property.

      Contents: Indicator indicating that the user is NOT required to provide a submitted value for this input component.

      Specified by:
        `setOptionalIndicator` in interface `ITextEntry`

    - #### getOptionalIndicator

          public java.lang.String getOptionalIndicator()

      Return the value of the `optionalIndicator` property.

      Contents: Indicator indicating that the user is NOT required to provide a submitted value for this input component.

      Specified by:
        `getOptionalIndicator` in interface `ITextEntry`

    - #### setRedisplay

          public void setRedisplay(boolean redisplay)

      Set the value of the `redisplay` property.

      Contents: If false, the component will not redisplay its value when the page reloads. The main purpose of this attribute is to be used when the 'secret' attribute is set to true, to avoid redisplaying the secret input.

      Specified by:
        `setRedisplay` in interface `ITextEntry`

    - #### isRedisplay

          public boolean isRedisplay()

      Return the value of the `redisplay` property.

      Contents: If false, the component will not redisplay its value when the page reloads. The main purpose of this attribute is to be used when the 'secret' attribute is set to true, to avoid redisplaying the secret input. Default = 'true'.

      Specified by:
        `isRedisplay` in interface `ITextEntry`

    - #### setRequiredIndicator

          public void setRequiredIndicator(java.lang.String requiredIndicator)

      Set the value of the `requiredIndicator` property.

      Contents: Indicator indicating that the user is required to provide a submitted value for this input component.

      Specified by:
        `setRequiredIndicator` in interface `ITextEntry`

    - #### getRequiredIndicator

          public java.lang.String getRequiredIndicator()

      Return the value of the `requiredIndicator` property.

      Contents: Indicator indicating that the user is required to provide a submitted value for this input component.

      Specified by:
        `getRequiredIndicator` in interface `ITextEntry`

    - #### setSecret

          public void setSecret(boolean secret)

      Set the value of the `secret` property.

      Contents: If true, when the user types a string into this field, a row of asterisks will be displayed instead of the text the user types.

      Specified by:
        `setSecret` in interface `ITextEntry`

    - #### isSecret

          public boolean isSecret()

      Return the value of the `secret` property.

      Contents: If true, when the user types a string into this field, a row of asterisks will be displayed instead of the text the user types. Default = 'false'.

      Specified by:
        `isSecret` in interface `ITextEntry`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the widget variable to access client-side API.

      Specified by:
        `setWidgetVar` in interface `ITextEntry`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the widget variable to access client-side API.

      Specified by:
        `getWidgetVar` in interface `ITextEntry`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.html.HtmlInputText`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.html.HtmlInputText`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.